Skip to main content
POST
/
{alias}
/
catalog
/
flags
/
{id}
/
products
Associar produtos a um selo
curl --request POST \
  --url https://api.dooki.com.br/v2/{alias}/catalog/flags/{id}/products \
  --header 'Content-Type: application/json' \
  --header 'User-Secret-Key: <api-key>' \
  --header 'User-Token: <api-key>' \
  --data '
{
  "products_ids": [
    1,
    2,
    3,
    4,
    5
  ]
}
'
import requests

url = "https://api.dooki.com.br/v2/{alias}/catalog/flags/{id}/products"

payload = { "products_ids": [1, 2, 3, 4, 5] }
headers = {
"User-Token": "<api-key>",
"User-Secret-Key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {
'User-Token': '<api-key>',
'User-Secret-Key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({products_ids: [1, 2, 3, 4, 5]})
};

fetch('https://api.dooki.com.br/v2/{alias}/catalog/flags/{id}/products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));



Authorizations

User-Token
string
header
required
User-Secret-Key
string
header
required

Path Parameters

alias
string
required

Alias da loja

id
integer
required

ID do selo

Body

application/json
products_ids
integer[]
Example:
[1, 2, 3, 4, 5]

Response

Produtos associados com sucesso ao selo